Imports EgtBEAMWALL.Core.ConstGen
Imports EgtWPFLib5

Public Class ProdProjManagerVM
   Inherits VMBase

#Region "FIELD & PROPERTIES"

   ' Selezione Tab Prod / Proj
   Private m_SelProdProj As ProdProj
   Public Property SelProdProj As Integer
      Get
         Return m_SelProdProj
      End Get
      Set(value As Integer)
         m_SelProdProj = value
         NotifyPropertyChanged(NameOf(SelProdProj))
      End Set
   End Property

   Public ReadOnly Property PartManager_Visibility As Visibility
      Get
         Return Map.refProjectVM.PartManager_Visibility
      End Get
   End Property

   Public ReadOnly Property FreeContourManager_Visibility As Visibility
      Get
         Return Map.refProjectVM.FreeContourManager_Visibility
      End Get
   End Property

#End Region    ' Fields & Properties

#Region "CONSTRUCTOR"

   Sub New()
      Map.SetRefProdProjManagerVM(Me)
   End Sub

#End Region    ' Constructor

End Class
